/*
 * Copyright (c) 2022 Reza Mahdi. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are hereby granted under terms of BSD 3-Clause License.
 * See LICENSE for more information.
 */

#include "select.h"
#include <sys/select.h>
#include <sys/socket.h>

static int
select_socket (int domain, int type, int proto)
{
  int sock = socket (domain, type, proto);
  return sock;
}

int
init_select_loop (select_loop_t *loop)
{
  loop->base.name = "select";
  loop->base.size = sizeof (select_loop_t);
  loop->base.create_socket = select_socket;

  FD_ZERO (&loop->read_set);
  FD_ZERO (&loop->write_set);
  FD_ZERO (&loop->except_set);

  return 0;
}
