/*
 * Copyright (c) 2022 Reza Mahdi. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are hereby granted under terms of BSD 3-Clause License.
 * See LICENSE for more information.
 */

#ifndef DNSPIDER_SELECT_H_
#define DNSPIDER_SELECT_H_

#include "loop.h"
#include <sys/select.h>

/**
 * @brief select loop struct
 */
typedef struct
{
  loop_t base;       /**< base loop type */
  fd_set read_set;   /**< read fd set */
  fd_set write_set;  /**< write fd set */
  fd_set except_set; /**< except fd set */
} select_loop_t;

int init_select_loop (select_loop_t *loop);

#endif
